Osmand~: Contour lines and hillsides plugin?


#1

How can I get hillsides and contour lines working in Osmand~?

They are implemented as a plugin but I cant seem to figure out how to get it.


#2

Contour lines has become a paid app.

http://osmand.net/features?id=osmand_purchases#contour_lines


#3

from the last version availabe (2.6.3 - Added on 2017-04-30)
the plugin is available to be enabled on the ‘Configure Map’ option.
on the ‘Download Map’ options the ‘Contour Lines’ still available to be downloaded
Also the ‘Hillshades’ :slight_smile:

OsmAnd~ here

not the first time they charge money for something on the play$tore but we enjoy it for free in F-Droid


#4

So I see the green Get-button (both under configure map and under download map) but when I press it, it says “No app found”.

Here is the relevant part from logcat:

> 06-21 04:38:52.533  4875  6576 I ActivityManager: START u0 {act=android.intent.action.VIEW dat=market://search?q=pname:net.osmand.srtmPlugin.paid cmp=org.fdroid.fdroid/.views.main.MainActivity} from uid 10085 on display 0                
> 06-21 04:38:52.590  4875  9293 I ActivityManager: START u0 {cmp=org.fdroid.fdroid/.AppDetails2 (has extras)} from uid 10043 on display 0

So the name it is looking for on F-Droid is apparently net.osmand.srtmPlugin.paid

I cant find this apk through F-droid, but it is listed in the wiki: https://f-droid.org/wiki/page/net.osmand.srtmPlugin.paid

The source code is still available here: https://github.com/osmandapp/Osmand/tree/master/plugins/Osmand-SRTMPlugin

I’m using version 2.6.3 of Osmand and version 0.103.2 of F-Droid on CopperheadOS with the following repositories enabled:

I used to have contour lines installed before I upgraded to CopperheadOS.


#5

Today I installed the contour lines plugin for OsmAnd~ via F-Droid (while looking away from antifeature tags ‘KnownVuln’ and ‘DisabledAlgorithm’) after enabling ‘F-Droid Archive’ in Repositories setting. The plugin seems to work as expected, after force stopping and restarting OsmAnd~ that is.

Is the plugin archived because of the anti-features? What does it need to get this cool thing back in the regular repo?


#6

I do not know what the “DisabledAlgorithm” antifeature means, but I am pretty sure that it is in the archive repo because of its signature being md5-based (“KnownVuln” antifeature). This happened to quite a few apps. The good news is that you can ask for a rebuild of apps that you like in this issue tracker (that’s at least what I’ve been told): https://gitlab.com/fdroid/fdroiddata/issues

If I got it right the resulting apk should be resigned and thus eligible for reinclusion in the regular repo. :wink:


#7

Thanks for the pointer, @rolko. The contour plugin for OsmAnd~ is indeed one of many apps that were moved to the archive because of weak signature, as discussed in:

Initially it was suggested to submit an issue or merge request to disable a build and later reenable it so that it would be properly signed. However it seems there this catch: the old build will be automatically deleted and if the new build fails you end up having no APK at all for that version of the app (not even in the archive):

App authors were advised to update their app or just bump the version number if they want to reinclude it in F-Droid:

The OsmAnd~ contour plugin is actively developed but only the version code changed over time, not the version name (1.0). It seems odd to bother the app author with the F-Droid signature issue. Extra complication: the F-Droid maintainer for this and many other apps said goodbye to F-Droid last month.


Many old, unmaintained apps have been archived
#8

Hm, a new version code does not trigger a new build? Does this mean we currently do not get any updates of the OsmAnd~ Contour plugin at all?


#9

I want to pay for it, I just can’t.
OsmAnd gets lots contributions from being on F-droid, so no shame in asking.